[Swift-commit] r6904 - branches/release-0.94/tests/stress/random_fail

yadunandb at ci.uchicago.edu yadunandb at ci.uchicago.edu
Tue Aug 20 16:10:59 CDT 2013


Author: yadunandb
Date: 2013-08-20 16:10:59 -0500 (Tue, 20 Aug 2013)
New Revision: 6904

Added:
   branches/release-0.94/tests/stress/random_fail/rand_fail_Bug1067.check.sh
Modified:
   branches/release-0.94/tests/stress/random_fail/rand_fail_Bug1067.setup.sh
   branches/release-0.94/tests/stress/random_fail/run
Log:

Committing a check file 



Added: branches/release-0.94/tests/stress/random_fail/rand_fail_Bug1067.check.sh
===================================================================
--- branches/release-0.94/tests/stress/random_fail/rand_fail_Bug1067.check.sh	                        (rev 0)
+++ branches/release-0.94/tests/stress/random_fail/rand_fail_Bug1067.check.sh	2013-08-20 21:10:59 UTC (rev 6904)
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+if [ ! -f ${0%.check.sh}.stdout ]
+then
+    echo "${$0%.check.sh}.stdout missing"
+    exit -1
+fi
+
+grep "Got one name (derr)" ${0%.check.sh}.stdout
+if [ "$?" == 0 ]
+then
+    echo "EXIT : REGRESSION FOUND!" >&2
+    exit -1
+else
+    echo "Test passed"
+fi
+exit 0
\ No newline at end of file


Property changes on: branches/release-0.94/tests/stress/random_fail/rand_fail_Bug1067.check.sh
___________________________________________________________________
Added: svn:executable
   + *

Modified: branches/release-0.94/tests/stress/random_fail/rand_fail_Bug1067.setup.sh
===================================================================
--- branches/release-0.94/tests/stress/random_fail/rand_fail_Bug1067.setup.sh	2013-08-20 20:57:22 UTC (rev 6903)
+++ branches/release-0.94/tests/stress/random_fail/rand_fail_Bug1067.setup.sh	2013-08-20 21:10:59 UTC (rev 6904)
@@ -1,6 +1,5 @@
 #!/bin/bash
 
-
 # Setup script will just output the following file
 
 cat<<'EOF' > randfail.sh

Modified: branches/release-0.94/tests/stress/random_fail/run
===================================================================
--- branches/release-0.94/tests/stress/random_fail/run	2013-08-20 20:57:22 UTC (rev 6903)
+++ branches/release-0.94/tests/stress/random_fail/run	2013-08-20 21:10:59 UTC (rev 6904)
@@ -1,8 +1,21 @@
 #!/bin/bash
 
+PATH=/scratch/midway/yadunand/swift-0.94RC2/cog/modules/swift/dist/swift-svn/bin:$PATH
 
+
+echo "Swift location: "; which swift
+echo "Swift version : "; swift -version
+
+rm rand_fail_Bug1067.stdout
 cat title.txt
 
 ./rand_fail_Bug1067.setup.sh
 
-swift -tc.file tc.template.data -config swift.properties -sites.file sites.template.xml rand_fail_Bug1067.swift
+for i in `seq 1 10`
+do
+swift -tc.file tc.template.data -config swift.properties -sites.file sites.template.xml rand_fail_Bug1067.swift  | tee -a rand_fail_Bug1067.stdout
+
+rm -rf *{swiftx,kml} rand_fail_Bug1067-* _concurrent* failed*
+done
+
+./rand_fail_Bug1067.check.sh
\ No newline at end of file




More information about the Swift-commit mailing list